<?php

spl_autoload_register( function ( $classname )
{
	$classname = str_replace( "\\", ".", $classname );

	switch ( $classname )
	{
	case 'ArticlePage':
		include( "home.page/ArticlePage.php" );
		break;

	case 'CategoriesPage':
		include( "home.page/CategoriesPage.php" );
		break;

	case 'ArticlesPage':
		include( "home.page/ArticlesPage.php" );
		break;

	case 'ContentPage':
		include( "home.page/ContentPage.php" );
		break;

	case 'HomePage':
		include( "home.page/HomePage.php" );
		break;

	case 'BrainTreePage':
		include( "base.page/BrainTreePage.php" );
		break;

	case 'WEPage':
		include( "base.page/WEPage.php" );
		break;

	case 'ISLabsPage':
		include( "base.page/ISLabsPage.php" );
		break;

	case 'SitePage':
		include( "base.page/SitePage.php" );
		break;

	case 'DropSpacePage':
		include( "base.page/DropSpacePage.php" );
		break;

	}
});
