#!/bin/bash

function main()
{
        local dropbox_dir=$1
        local target_dir=$2

        if [ -d "$dropbox_dir" ]
        then

                echo `date`

                for dir in $( ls "$dropbox_dir/" ); do

                        local project_name=`basename "$dir"`

                        if [ ! -d "$target_dir/$project_name" ]
                        then

                                echo mkdir -p "$target_dir/$project_name"
                                     mkdir -p "$target_dir/$project_name"

                        fi

                        if [ -d "$target_dir/$project_name" -a ! -h "$target_dir/$project_name/resources" ]
                        then

                                echo ln -sf "$dropbox_dir/$project_name/_resources"            "$target_dir/$project_name/resources"
                                     ln -sf "$dropbox_dir/$SITES_DIR/$project_name/_resources" "$target_dir/$project_name/resources"

                        fi

                done
        fi
}

if [ $# -eq 2 ]
then

        main $@

else

        echo "Usage: make_resource_dirs <Dropspace Dropbox Directory> <Dropspace Client Directory>, e.g. make_resources_dirs /home/dropspace/Dropbox /srv/DROPSPACE/client"

fi
